Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 06 Feb 2023 07:43:34 +0000

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions This was my worst experience with the online shopping. My order number being 9412328885 was ordered and paid online on 28th Jan 2203, to be delivered on the next day, 29th Jan 2023. It was clearly mentioned online, next day delivery. In order to get free delivery the next day, the total amount spent was more than Aed 200.

The reason for last minute purchase was because I was also travelling on the 30th Jan 2023, early morning 2:00am. So since I believed that you would deliver on 29th Jan, I made the purchase.

On 29th Jan, since morning 9:00am I have been calling the customer service team to know the status of my delivery. I also received an sms about the delivery on 29th. The whole day till 10:45pm, I kept calling the team almost 5 to 6 times. Each time they kept promising that it will surely be delivered and that not to worry and each time I kept asking for the delivery team contact pwrson so that I can coordinate with the delivery guy and also pick the item from him. But they all kept saying its not possible to get the number of the delivery guy. Landmark being such a big company and not able to connect to the delivery team doesnt sound right.

I kept telling them since 9:00am that I will be traveling tonight and to please prioritise my delivery. I literally kept asking their help all the time I called but none made a sincere effort to helpe out. If the team had sincerely tried to help, I would have atleast received a call from the delivery team. 

PLEASE DO NOT KEEP PROMISES THAT YOU CANNOT KEEP. ALSO PLEASE ASK THE TEAM TO FIVE THE ACTUAL FACTS INSTEAD GIVING FAKE PROMISES OR FALSE INFORMATION. 

If the team had actually give me the right information atleast by 10:00pm, I still haf an option to visit the store and purchase something before travel. But even at night 10:45pm, the agent asked me to wait and he promised that it will be delivered soon.  I also received an sms from Splash saying that the item cannot be delivered on 29th and that it will delivered soon. I also mentioned to the team about the sms but again the team kept lying that dont worry, the delivery guy will surely call me any moment and like a fool I kept waiting and waiting and waiting.

Such service to the customer cannot be tolerated and it wasted my energy and time following up for the quickest delivery.
I expect compensation for the false promises made online and by the team, the time and energy wasted as well. I also expect delivery the first thing in the morning to be received by my family member.

Niyaz Saif. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5641684